### Method

# Gdk Toplevelbegin_move

#### Declaration [src]

    void
    gdk_toplevel_begin_move (
      GdkToplevel* toplevel,
      GdkDevice* device,
      int button,
      double x,
      double y,
      guint32 timestamp
    )

#### Description [src]

Begins an interactive move operation.

You might use this function to implement draggable titlebars.

#### Parameters

`device`

  Type: `GdkDevice`

  The device used for the operation.

  The data is owned by the caller of the method.

`button`

  Type: `int`

  The button being used to drag, or 0 for a keyboard-initiated drag.

`x`

  Type: `double`

  Surface X coordinate of mouse click that began the drag.

`y`

  Type: `double`

  Surface Y coordinate of mouse click that began the drag.

`timestamp`

  Type: `guint32`

  Timestamp of mouse click that began the drag (use `gdk_event_get_time()`)